Subject: Re: Section attributes from ld
From: [email-masked] (Jon Thackray)

16 Jul 1997 11:53:06 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
	<[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

[email-masked] writes:
 > >How does ld determine which attributes sections are to have? By
 > >attributes, I mean things like:-
 > 
 > >Contains code, contains initialised data, should be loaded with
 > >execute permission, should be loaded with read permission, should be
 > >loaded with write permission etc.
 > 
 > The attributes are based on the attributes of the input sections which
 > are mapped into the output sections.  Take a look at
 > gas/config/obj-coff.c to see how to use the .section directive in an
 > assembler file.

I will look at this. However...

My input sections (in the case where I'm having problems) all have
attribute MEM_READ, whereas the resulting link section doesn't. It
would appear that link is overriding this in some way.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".